WARNING: EXEC() HAS BEEN DISABLED FOR SECURITY REASONS IN……

刚安装完wordpress的朋友,肯定遇到过这样的错误吧
错误如下:
Warning: exec() has been disabled for security reasons in /var/www/wwwroot/name.php line 2.........(路径)


中文意思:
警告: /var/www/wwwroot/name.php 第二行 的exec() 函数已经由于安全原因被禁止。
这是因为在 php.ini 配置文件里面有disable_function 这个选项 后面是禁用的php函数,打开PHP.INI,找到disble_function=phpinfo,passthru,exec,system,popen,escapeshellcmd,escapeshellarg,shell_exec
解决方法:
打开php安装路径 打开php.ini文件
则把disble_function=phpinfo,passthru,exec,system,popen,escapeshellcmd,escapeshellarg,shell_exec
里面的 exec, 删除 并保存 重启php-fcgi
其他参数报错的话,解决办法相同。

俊霖

发表评论

您必须

目前评论:1   其中:访客  1   博主  0

  1. 徐小木 5

    好贴阿博主,代表大家谢谢您